﻿
.nh-toc-scrollable {
    overflow-y: auto;
    height: 100%;
}

.nh-toc-page-content {
    /*Placeholder for toc*/
}

.nh-toc-item {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 4px 0;
    text-decoration: none;
    color: var(--nh-color-text-muted);
    font-size: 1rem;
    line-height: 1.4;
    transition: color 0.15s ease;
    border-radius:15px;
    /*border-left: 2px solid transparent;*/
    padding:5px 10px;
    max-width:250px;
}

    .nh-toc-item:hover {
        color: var(--nh-color-text-primary);
        background-color: rgba(0, 0, 0, 0.2);
    }

    .nh-toc-item.active {
        color: var(--nh-color-accent);
        border-left-color: var(--nh-color-accent);
    }

/* h3 indented under h2 */
.nh-toc-h3 {
    padding-left: 12px;
    font-size: 0.75rem;
}

.nh-toc-item-indicator {
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: currentColor;
    flex-shrink: 0;
    opacity: 0.5;
    transition: opacity 0.15s ease;
}

.nh-toc-item.active .nh-toc-item-indicator {
    opacity: 1;
}

.nh-toc-item-label {
    flex: 1;
}